<?php
// START NEWSLATTER SECTION 
$wp_customize->add_section(
	'lz_newslatter',
	array(
		'title'   => __( 'Newslatter', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	) 
);
//ENABLE/DISABLE Newslatter SECTION
$wp_customize->add_setting(
	'lz_newslatter_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_newslatter_disable',
		array(
			'settings'      => 'lz_newslatter_disable',
			'section'       => 'lz_newslatter',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'lz_newslatter', 'lz_newslatter', $color='#fffffff');  



// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_title_subtitle_heading', 'lz_newslatter', 'Section Title');

//add textarea
lzAddElement($wp_customize, 'lz_newslatter_title', 'lz_newslatter', 'text', $label="Here goes the short description for the section", 'lz_fitness_sanitize_text', 'Join Us <span>Today</span>');

//add textarea
//lzAddElement($wp_customize, 'lz_newslatter_sub_title', 'lz_newslatter', 'textarea', $label="Sub Title", 'lz_fitness_sanitize_text', 'Join our newsletter for the latest News and Events');



// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_npp_heading', 'lz_newslatter', 'Newslatter Form shortcode');

//add shortcode textbox
lzAddElement($wp_customize, 'lz_newslatter_shortcode', 'lz_newslatter', 'text', $label="Add Shortcode here", 'lz_fitness_sanitize_text', '[form shortcode here]');
// Heading color
addColorPalatOption($wp_customize, 'lz_newslatter_HeadingColor', 'lz_newslatter', 'Heading color', '#fffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_newslatter_TextColor', 'lz_newslatter', 'Span Text color', '#fffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_newslatter_buttonColor', 'lz_newslatter', 'Button Background color', '#69489d');

addColorPalatOption($wp_customize, 'lz_newslatter_buttonTColor', 'lz_newslatter', 'Button text color', '#fffffff');

addColorPalatOption($wp_customize, 'lz_newslatter_buttonBorderColor', 'lz_newslatter', 'Button Border color', '#fffffff');

addColorPalatOption($wp_customize, 'lz_newslatter_NFormtextColor', 'lz_newslatter', 'Form text color', '#fffffff');
addColorPalatOption($wp_customize, 'lz_newslatter_NFormBorderColor', 'lz_newslatter', 'Form Border color', '#fffffff');
addColorPalatOption($wp_customize, 'lz_newslatter_NFormiconColor', 'lz_newslatter', 'Icon color', '#fffffff');

// END NEWSLATTER SECTION 